org.deidentifier.arx.gui.view.impl.utility

## Interface ViewStatisticsBasic

All Superinterfaces:
  IView

All Known Implementing Classes:
  ViewProperties, ViewPropertiesInput, ViewPropertiesOutput, ViewStatisticsClassificationAttributes, ViewStatisticsClassificationConfiguration

    public interface ViewStatisticsBasic
    extends IView

This is a base interface for simple views in this category

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.swt.widgets.Composite` `getParent()` Returns the parent composite
`LayoutUtility.ViewUtilityType` `getType()` Returns the view type

### Methods inherited from interface org.deidentifier.arx.gui.view.def.IView

`dispose, reset, update`

### Method Detail

#### getParent

    org.eclipse.swt.widgets.Composite getParent()

Returns the parent composite

Returns:

#### getType

    LayoutUtility.ViewUtilityType getType()

Returns the view type

Returns: